/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1994, 1995, 1996, 1997 Lin Padgham, Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * MODULE NAME:         interface.h
 *
 * SCCSINFO:		$Id: interface.h,v 1.4 1997/04/12 20:33:21 lincks Exp $
 *
 * ORIGINAL AUTHOR(S):  Ralph Ronnquist, Martin Sjolin
 *
 *   This file holds prototypes that libaim calls at the interface layer.
 *   Created from f_interface.h and aimtypes.h
 *
 * MODIFICATIONS:
 *	< add modifications with name and date >
 *
 * DESCRIPTION:
 *
 */

#ifndef _interface_
#define _interface_

/* TODO quick hack, see aimtypes.h */
#ifdef NO_WIDGET
#ifndef AIMTYPES_H
typedef caddr_t Widget;
#endif
#endif

/* 
 * The following are hooks in the interface that is used by libaim, 
 * and that the interface module must define. 
 *
 * TODO - cleanup the checksave etc other UIM stuff ....
 *
 */

void checksave P_(( reference_structure *ref, void (*yesfn)(), void
                     (*bothfn)(), caddr_t client_data ));
void changewidget P_(( infonode *np ));
void create_container P_(( reference_structure *rsp ));
void deletewidget P_(( Widget widp ));
int  getarglevel P_(( void ));
int  html_server    P_((char *address, char *keyfile));
void initcommands P_(( void ));
int  initwindows P_(( int *argc, char **argv ));
int  interface_arginit P_(( char *arg, char ** ));
void  mainloop P_(( void ));
char *makeshelltitle P_(( identry *idp ));
void  makewidget P_(( infonode *np, Widget previousw ));
void  mapwidgets P_(( void ));
void  markbound P_(( reference_structure *r, int mode ));
void  mark_changed  P_(( infonode *inp ));
void  mark_deleted  P_(( infonode *inp ));
void  mark_inserted P_(( infonode *inp ));
int   pen_select_func P_(( int fd,
	     void (* pen_call_back)(), void *dopoll, XtInputId *idp ));
void  popargs P_(( int i ));
void  pusharg P_(( char *nmp, char *valp ));
void  storecmd P_(( Widget w, caddr_t client_data, caddr_t call_data ));
void  popup_message P_(( int message_type, char *fmt, ... ));
void  refreshlayout P_(( reference_structure *ref, int focus ));
void  setplaceholder P_(( infonode *np, int flag ));
void  setupdefaultargs P_(( reference_structure *rsp ));
void  fatal_error P_(( char *fmt, ... ));
void  short_error P_(( char *fmt, ... ));
void  trace P_(( char *fmt, ... ));
void  uim_destroy P_(( Widget widget ));
void  uim_highlight P_(( infonode *inp ));

#endif /* _interface_ */
