/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1993, 1994, 1995, 1996, 1997 Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * MODULE NAME:         aimquery.h
 *
 * SCCSINFO:            $Id: aimquery.h,v 1.3 1997/04/12 20:33:56 lincks Exp $
 *
 * ORIGINAL AUTHOR(S):  Ralph Ronnquist
 *
 * MODIFICATIONS:
 *      < add modifications with name and date >
 *
 * DESCRIPTION:
 *
 */

#ifndef AIMQUERY_H
#define AIMQUERY_H

typedef enum {
    QUERY_TERM,
    QUERY_STRING,
    QUERY_IMAGE,
    QUERY_ATTR,
    QUERY_INDIRECT,
    QUERY_ID,
    QUERY_NOT,
    QUERY_AND,
    QUERY_OR
} cell_type;

typedef enum {
    QUERY_EQ,
    QUERY_START,
    QUERY_MATCH
} cell_rel;

typedef struct x_query_cell {
    struct x_query_cell *next;
    struct x_query_cell *lhs;
    struct x_query_cell *rhs;
    cell_rel rel;
    cell_type type;
    char *text;
} query_cell;

int evaluate_query P_((label *obj,label *root,query_cell *q));
query_cell *establish_query P_((label *root,char *query_string));
void free_query P_((query_cell *query));

#endif
