.\" 
.\" Linkoping Intelligent Communication of Knowledge System (LINCKS)
.\" Copyright (C) 1993, 1994, 1995, 1996, 1997, 1997 Lin Padgham, Ralph Rnnquist
.\"       Department of Computer and Information Sciences
.\"		University of Linkoping, Sweden
.\"		    581 83 Linkoping, Sweden
.\"		       lincks@ida.liu.se
.\"
.\" These collective LINCKS programs are free software; you can 
.\" redistribute them and/or modify them under the terms of the GNU
.\" General Public License as published by the Free Software Foundation,
.\" version 2 of the License.
.\"
.\" These programs are distributed in the hope that they will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with the programs; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.\" w3lincks man page
.\" author: Martin Sjolin
.\" version:  $Id: w3lincks.l,v 1.2 1997/04/12 20:34:20 lincks Exp $
.\"
.TH w3lincks l "$Date: 1997/04/12 20:34:20 $" IISLAB "LINCKS System"

.SH NAME
w3lincks \- for connecting a LINCKS database to the WWW
.SH SYNOPSIS
.B w3lincks
[
.B \-f
]
[
.B \-q
]
[
.B \-D
]
[
.B \-N
]
[
.B \-S
]
[
.B \-P \fI[host:]port\fR
]
[
.B \-K \fIkey file format\fR
]
[
.B \-u \fIusername\fR \-p \fIpassword\fR
]
.B database\-dir
.SH DESCRIPTION
\fIw3lincks\fR is a LINCKS database client derived from the
X11 xlincks \fIxlincks\fR, but \fIw3lincks\fR generates HTML.
When starting \fIw3lincks\fR, it connects to the database
specified as the 
.B database-dir
and login in as the specified user (given as
B \-u \fIusername\fR
and the password). Then \fIw3lincks\fR write the key file
(used for communication with \fIcgi2lincks\fR) as specified
by the key file format option 
.B \-K \fIkeyfile format\fR
and then \fIw3lincks\fR sits around waiting for connections
from \fIcgi2lincks\fR.
.SH OPTIONS
.TP
.B \-f
This option means that \fIw3lincks\fR will be running in foreground
instead of forking off like a real daemon. It enables you to
debug \fIw3lincks\fR without having to attach to a running process.
.TP
.B \-q
This option makes \fIw3lincks\fR emitt less messages.
.TP
.B \-D
This option is kept for compability with \fIxlincks(l)\fR.
.TP
.B \-N
This option is kept for compability with \fIxlincks(l)\fR.
.TP
.B \-S
This option is kept for compability with \fIxlincks(l)\fR.
.TP
.B \-P \fI[host:]port\fR
The \fIport\fR specify the TCP port number which \fIw3lincks\fR
listens for connection on for request (from \fIcgi2lincks\fR). The
optional \fIhost\fR portion makes \fIw3lincks\fR only accept 
connection from that \fIhost\fR.
.TP
.B \-K \fIkey file format\fR
The string following 
.B \-K
option specify the format (name) of key file which contains
the secret key; port and host number where \fIw3lincks\fR
waits for connections; and the name of the current user of
\fIw3lincks\fR. 
The first occurency of `%s' in the key file format is
replaced with the path of the current database directory.
Thus storing the key file in the database directory.
.TP
.B \-u \fIusername\fR \-p \fIpassword\fR
These options allow you to give your username and password on the
command-line rather than logging in in the normal way.
.TP
.B database\-dir
This option must be present if the environment variable LINCKSDBDIR
is not set.  It specifies the directory holding the database files.  If
LINCKSDBDIR is set, this option will override it.
.SH ENVIRONMENT
.TP
.B \fILINCKSDBDIR\fR
specifies the default LINCKS database directory.
.SH SEE ALSO
xlincks(1), cgi2lincks(l)
.SH DIAGNOSTICS
\fIw3lincks\fR write the recieved request and some more
information on standard output and standard error. It is
a good idea to redirect both of those into a log file.
.LP
Other diagnostics include:
.TP
.B NOPROMPT_LOGIN: login failure
Either the username or the password you gave on the command line
was incorrect for that database.
.SH BUGS
Quite a few bugs.  Please report all bugs to lincks-bugs@ida.liu.se.
Please include a description of how you can reproduce the bug and the
output of either `dbx w3lincks core' or `gdb w3lincks core' if possible.
.SH COPYRIGHT
Copyright (C) 1995, 1996, 1997, 1997. Martin Sjolin
.LP
The collective LINCKS programs are free software; you can redistribute 
them and/or modify them under the terms of the GNU General Public
License as published by the Free Software Foundation, version 2.
.LP
The collective LINCKS programs are distributed in the hope that they
will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
the GNU General Public License for more details.
.LP
You should have received a copy of the GNU General Public License along
with the LINCKS system; see the file COPYING.  If not, write to the
Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
.SH AVAILABILITY
The most recently released version of the LINCKS system is always 
available for anonymous ftp from ftp.ida.liu.se (130.236.177.26) in
the directory pub/lincks.
